Package dev.plex.util

# Class PlexLog

java.lang.Object
dev.plex.util.PlexLog

public class PlexLog extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final net.kyori.adventure.text.logger.slf4j.ComponentLogger`
`logger`

## Constructor Summary

Constructors
Constructor
Description
`PlexLog()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`debug(String message, Object... strings)`
`static void`
`error(String message, Object... strings)`
`static void`
`log(String message, Object... strings)`
`static void`
`log(net.kyori.adventure.text.Component component)`
`static void`
`warn(String message, Object... strings)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### logger

private static final net.kyori.adventure.text.logger.slf4j.ComponentLogger logger

## Constructor Details

### PlexLog

public PlexLog()

## Method Details

### log

public static void log(String message, Object... strings)

### log

public static void log(net.kyori.adventure.text.Component component)

### error

public static void error(String message, Object... strings)

### warn

public static void warn(String message, Object... strings)

### debug

public static void debug(String message, Object... strings)